---
id: 65687f47f9001dd35bdcd5ab
title: Step 34
challengeType: 20
dashedName: step-34
---

# --description--

Change the value of `card_number` such that `'INVALID!'` is printed to the console.

# --hints--

You should have `card_number = '4111-1111-4555-1141'` within the main function.

```js
({
  test: () => {
    const spyCode = "a = ''\ndef printSpy(*x):\n    global a\n    a += str(x)\n" + code.replaceAll("print(", "printSpy(") + "\na";
    const out = runPython(spyCode);
    assert.include(out, "INVALID!");
  }
})
```

# --seed--

## --seed-contents--

```py
def verify_card_number(card_number):
    sum_of_odd_digits = 0
    card_number_reversed = card_number[::-1]
    odd_digits = card_number_reversed[::2]

    for digit in odd_digits:
        sum_of_odd_digits += int(digit)

    sum_of_even_digits = 0
    even_digits = card_number_reversed[1::2]
    for digit in even_digits:
        number = int(digit) * 2
        if number >= 10:
            number = (number // 10) + (number % 10)
        sum_of_even_digits += number
    total = sum_of_odd_digits + sum_of_even_digits
    print(total)
    return total % 10 == 0
--fcc-editable-region--
def main():
    card_number = '4111-1111-4555-1142'
    card_translation = str.maketrans({'-': '', ' ': ''})
    translated_card_number = card_number.translate(card_translation)
--fcc-editable-region--

    if verify_card_number(translated_card_number):
        print('VALID!')
    else:
        print('INVALID!')

main()
```
